org.apache.nutch.crawl

## Class Generator.DecreasingFloatComparator

- java.lang.Object
- - org.apache.hadoop.io.WritableComparator
  - - org.apache.hadoop.io.FloatWritable.Comparator
    - - org.apache.nutch.crawl.Generator.DecreasingFloatComparator

- All Implemented Interfaces:
    Comparator, Configurable, RawComparator
  Enclosing class:
    Generator

      public static class Generator.DecreasingFloatComparator
      extends FloatWritable.Comparator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecreasingFloatComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)` Compares two FloatWritables decreasing.

    - ### Methods inherited from class org.apache.hadoop.io.WritableComparator

      `compare, compare, compareBytes, define, get, get, getConf, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### DecreasingFloatComparator

          public DecreasingFloatComparator()

  - ### Method Detail

    - #### compare

          public int compare(byte[] b1,
                             int s1,
                             int l1,
                             byte[] b2,
                             int s2,
                             int l2)

      Compares two FloatWritables decreasing.
      Specified by:
        `compare` in interface `RawComparator`
      Overrides:
        `compare` in class `FloatWritable.Comparator`

Copyright © 2021 The Apache Software Foundation